#delimit ;

use ..\bhes1991\nbang91;
sort hhid;
save, replace;

use consumption\pcexp_all;
keep if year==1;
sort hhid;
save pcexp91, replace;

merge hhid using ..\bhes1991\nbang91;
tab _merge;
drop _merge;

gen LOGPC=ln(pcexp/zl);

gen byte d1 = (reg == 1);
gen byte d2 = (reg == 2);
gen byte d3 = (reg == 3);
gen byte d4 = (reg == 4) | (reg == 5);
gen byte d6 = (reg == 6);
gen byte d7 = (reg == 7);
gen byte d8 = (reg == 8);
gen byte d9 = (reg == 9);
gen byte d11 = (reg == 11);
gen byte d12 = (reg == 12);
gen byte d13 = (reg == 13) | (reg==15);
gen byte d14 = (reg == 14);
gen byte d16 = (reg == 16);
gen byte d17 = (reg == 17);
gen byte d18 = (reg == 18);
gen byte d19 = (reg == 19);
gen byte d20 = (reg == 20);

gen byte s1 = (sector == 1);
gen byte s2 = (sector == 2);

gen byte sex1 = (sexh == 1);
gen byte sex2 = (sexh == 2);
gen byte sexc = (sexh==1) | (sexh==2);
drop if sexc == 0;

gen byte m1 = (marh == 1);
gen byte m2 = (marh == 2);
gen byte m3 = (marh > 2);

gen f1 = (educs < 100);
gen f2 = (educs == 100) & (m1 == 1);
gen f3 = (educs == 100) & (m2 == 1);
gen f4 = (educs == 100) & (m3 == 1);

gen int babies2 = babies^2;
gen int childr2 = children^2;
gen int adults2 = adults^2;
gen int ageh2 = ageh^2;
gen int ages2 = ages^2;

gen byte rel1 = (relig == 1);
gen byte rel2 = (relig > 1);

gen byte eh0 = educh == 0;
gen byte eh1 = educh == 1;
gen byte eh2 = educh == 2;
gen byte eh3 = educh == 3;
gen byte ehm = (educh > 3);

gen byte es0 = educs == 0;
gen byte es1 = educs == 1;
gen byte es2 = educs == 2;
gen byte es3 = educs == 3;
gen byte esm = (educs > 3) & (educs < 100);

gen edif = maxeduc - max(educh, educs);
replace edif = maxeduc - educh if educs == 100;
gen byte ed0 = edif == 0;
gen byte ed1 = edif == 1;
gen byte ed2 = edif == 2;
gen byte ed3 = edif == 3;
gen byte edm = (edif > 3);

gen byte oh00 = (occ1h == 5) | (occ1h == 6) | (occ1h == 11) | (occ1h == 12);
gen byte oh01 = (occ1h == 3) | (occ1h == 4);
gen byte oh02 = (occ1h == 9) | (occ1h == 10);
gen byte oh03 = (occ1h == 7) | (occ1h == 8);
gen byte oh04 = (occ1h == 1) | (occ1h == 2);

gen byte oh11 = (occ1h == 29) | (occ1h == 30) | (occ1h == 31);
gen byte oh12 = ((19 <= occ1h) & (occ1h <= 21)) | ((23 <= occ1h) & (occ1h <= 26));
gen byte oh13 = occ1h == 28;
gen byte oh14 = (occ1h == 17) | (occ1h == 22) | (occ1h == 27);
gen byte oh15 = occ1h == 18;
gen byte oh16 = (occ1h == 13) | (occ1h == 14) | (occ1h == 15) | (occ1h == 16);

gen byte oh19 = (occ1h == 0);

gen byte f = (1 <= occ1h) & (occ1h <= 12) & (s1==0);
gen byte nf = (13 <= occ1h) & (s1==0);

gen byte lo0 = (landow < 0.05);
gen byte lo1 = (0.05 <= landow) & (landow < 0.50);
gen byte lo2 = (0.50 <= landow) & (landow < 1.50);
gen byte lo3 = (1.50 <= landow) & (landow < 2.50);
gen byte lom = (2.50 <= landow);



regress LOGPC d2 d3 d4 d6 d7 d8 d9 d11 d12 d13 d14 d16 d17 d18 d19 d20
          babies babies2 children childr2 adults adults2 ageh ageh2
          sex2 f2 f3 f4 eh1 eh2 eh3 ehm es1 es2 es3 esm
          oh01 oh02 oh03 oh04 oh11 oh12 oh13 oh14 oh15 oh16 oh19
          lo1 lo2 lo3 lom rel2 if s1==1, robust;

sum LOGPC d2 d3 d4 d6 d7 d8 d9 d11 d12 d13 d14 d16 d17 d18 d19 d20
          babies babies2 children childr2 adults adults2 ageh ageh2
          sex2 f2 f3 f4 eh1 eh2 eh3 ehm es1 es2 es3 esm
          oh01 oh02 oh03 oh04 oh11 oh12 oh13 oh14 oh15 oh16 oh19
          lo1 lo2 lo3 lom rel2 if s1==1;

regress LOGPC d2 d3 d4 d6 d7 d8 d9 d11 d12 d13 d14 d16 d17 d18 d19 d20
          babies babies2 children childr2 adults adults2 ageh ageh2
          sex2 f2 f3 f4 eh1 eh2 eh3 ehm es1 es2 es3 esm
          oh01 oh02 oh03 oh04 oh11 oh12 oh13 oh14 oh15 oh16 oh19
          lo1 lo2 lo3 lom rel2 if s1==0, robust;

sum LOGPC d2 d3 d4 d6 d7 d8 d9 d11 d12 d13 d14 d16 d17 d18 d19 d20
          babies babies2 children childr2 adults adults2 ageh ageh2
          sex2 f2 f3 f4 eh1 eh2 eh3 ehm es1 es2 es3 esm
          oh01 oh02 oh03 oh04 oh11 oh12 oh13 oh14 oh15 oh16 oh19
          lo1 lo2 lo3 lom rel2 if s1==0;
