* Ingredients for the growth inequality decomposition
* to be passed on to Quentin:
cap log close
log using ..\bhes1991\quentin01.log, replace

* 1991-92
use pcexp91, clear
* Mean poverty line is: 530.8965

gen rpc = pcexp * 530.8965 / zu
xtile   group = rpc [aweight=weight], nq(10)
pctile decile = rpc [aweight=weight], nq(10)

sort group
tab decile
tab group urbrural [aw=weight], col nofreq
format rpc %7.2f
tab group urbrural [aw=weight], summ(rpc) mean noobs
tab urbrural [aw=weight]

* 1=Agriculture, 2=Manufacturing, 3=Services
sort hhid
save temp, replace
use ..\bhes1991\c191, clear
keep hhid ppid ins
sort hhid ppid
by hhid ppid: gen flag=_n
keep if flag==1
replace ins=. if ins==0
reshape wide ins, i(hhid) j(ppid)
egen ins = rfirst(ins*)
keep hhid ins
sort hhid
merge hhid using temp
keep if _merge==3
drop _merge
sort hhid
gen type     = 1 if ins==1
replace type = 2 if ins>1 & ins<=5
replace type = 3 if ins>5 & ins~=.

tab group type [aw=weight], col nofreq
tab type [aw=weight]
sort type
by type: tabstat rpc [aw=weight], stats(mean min max) by(group) f(%7.2f)


* 2000
use consumption\pcexp_all, clear
keep if year==3
ren hhid hhcode
sort hhcode
* Mean poverty line is: 688.0568

gen rpc = pcexp * 688.0568 / zu
xtile   group = rpc [aweight=weight], nq(10)
pctile decile = rpc [aweight=weight], nq(10)

sort group
tab decile
tab group urbrural [aw=weight], col nofreq
format rpc %7.2f
tab group urbrural [aw=weight], summ(rpc) mean noobs
tab urbrural [aw=weight]

* 1=Agriculture, 2=Manufacturing, 3=Services
sort hhcode
save temp, replace

use activity, clear
ren s5a01c ins
keep hhcode idcode ins
drop if idcode==.
sort hhcode idcode
by hhcode idcode: gen flag=_n
keep if flag==1
replace ins=. if ins==0
reshape wide ins, i(hhcode) j(idcode)
egen ins = rfirst(ins*)
keep hhcode ins
sort hhcode
merge hhcode using temp
keep if _merge==3
drop _merge
sort hhcode
gen type     = 1 if ins<10
replace type = 2 if ins>=10 & ins<=45
replace type = 3 if ins>45 & ins~=.

tab group type [aw=weight], col nofreq
tab type [aw=weight]
format rpc %7.2f
tab group type [aw=weight], summ(rpc) mean noobs
